# CreditCardScannerUiResult class

Configuration of the credit card scanner RTU UI result.

## Constructors

CreditCardScannerUiResult.new({required CreditCardScanningStatus recognitionStatus, required GenericDocument? creditCard})
CreditCardScannerUiResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

creditCard → GenericDocument?
  Generic document containing credit card data. Not present, if status is FAIL.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
recognitionStatus → CreditCardScanningStatus
  The status of the credit card recognition step.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited